Bug 134201 - Crash after pasting several times, then undoing those, then redoing
Summary: Crash after pasting several times, then undoing those, then redoing
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
5.1.0.3 release
Hardware: All All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords: bibisectRequest, regression
Depends on:
Blocks: Undo-Redo Crash
  Show dependency treegraph
 
Reported: 2020-06-21 17:52 UTC by Telesto
Modified: 2020-07-05 01:19 UTC (History)
3 users (show)

See Also:
Crash report or crash signature: ["SwOutlineNodes::Seek_Entry(SwNode *,unsigned __int64 *)"]


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Telesto 2020-06-21 17:52:24 UTC
This bug was filed from the crash reporting server and is br-99825f20-568f-4079-93ad-656e314947e6.
=========================================

1. Open attachment 157498 [details]
2. CTRL+A
3. CTRL+C
4. CTRL+N
5. CTRL+V -> 8x
6. CTRL+Z -> 8x
7. CTRL+V -> 8x
8. CTRL+Z -> 8x -> Crash
Comment 1 MM 2020-06-21 22:31:59 UTC
Confirmed on mint 19.3 x64 with Version: 7.1.0.0.alpha0+
Build ID: 20ba8d8d9f4fcf7d5826fcb3366a9bff0d6a8ca1
CPU threads: 4; OS: Linux 5.3; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-06-10_07:16:41
Calc: threaded

and

Version: 6.5.0.0.alpha0+
Build ID: f6cf80c81043d84606a5b5f7d93ae958307a16d3
CPU threads: 4; OS: Linux 5.3; UI render: default; VCL: gtk3; 
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2019-12-22_08:24:32
Locale: en-US (en_US.UTF-8); UI-Language: en-US
Calc: threaded

In step 8, I don't have to repeat it 8 times, just 1x Ctrl z is enough.

Unconfirmed with Version: 6.0.7.3
Build ID: 1:6.0.7-0ubuntu0.18.04.10
CPU threads: 4; OS: Linux 5.3; UI render: default; VCL: gtk3; 
Locale: en-US (en_US.UTF-8); Calc
Comment 2 Buovjaga 2020-07-01 12:03:02 UTC
Seems to be fixed, plz re-test

Version: 7.1.0.0.alpha0+ (x64)
Build ID: 8fe03ea93213bbb19b6ee9862a3966144f0df5cb
CPU threads: 4; OS: Windows 10.0 Build 18362; UI render: default; VCL: win
Locale: fi-FI (fi_FI); UI: en-US
Calc: threaded
Comment 3 Telesto 2020-07-01 12:26:00 UTC
Initial report appears to be fixed
Version: 7.1.0.0.alpha0+ (x64)
Build ID: 4c14c88cc681abab787a461a1bea502a777f37e6
CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
Locale: nl-NL (nl_NL); UI: en-US
Calc: CL

May I abuse this bug for now one, or should I crease something new?

1. Open attachment 157498 [details]
2. CTRL+A
3. CTRL+C
4. CTRL+N
5. CTRL+V -> 5x
6. CTRL+Z -> 5x
7. CTRL+Y -> 2x -> crash
Comment 4 Buovjaga 2020-07-01 12:50:19 UTC
(In reply to Telesto from comment #3)
> Initial report appears to be fixed
> Version: 7.1.0.0.alpha0+ (x64)
> Build ID: 4c14c88cc681abab787a461a1bea502a777f37e6
> CPU threads: 4; OS: Windows 6.3 Build 9600; UI render: Skia/Raster; VCL: win
> Locale: nl-NL (nl_NL); UI: en-US
> Calc: CL
> 
> May I abuse this bug for now one, or should I crease something new?
> 
> 1. Open attachment 157498 [details]
> 2. CTRL+A
> 3. CTRL+C
> 4. CTRL+N
> 5. CTRL+V -> 5x
> 6. CTRL+Z -> 5x
> 7. CTRL+Y -> 2x -> crash

Well, let's keep using this as it's quite short still.

I updated to the very latest master on Win and was unable to repro (was unable to with my earlier installation as well). Skia or not.

MM: can you repro with the new steps?

Version: 7.1.0.0.alpha0+ (x64)
Build ID: 9bef09cb2f0c9c9e6819f28ed8e83c0edd6eadb6
CPU threads: 4; OS: Windows 10.0 Build 18362; UI render: default; VCL: win
Locale: fi-FI (fi_FI); UI: en-US
Calc: threaded

Arch Linux 64-bit
Version: 7.1.0.0.alpha0+
Build ID: 21c0deb19890703a9eaf24403e60c4c7546a0bfe
CPU threads: 8; OS: Linux 5.7; UI render: default; VCL: kf5
Locale: fi-FI (fi_FI.UTF-8); UI: en-US
Calc: threaded
Built on 30 June 2020
Comment 5 Telesto 2020-07-01 12:58:16 UTC
(In reply to Buovjaga from comment #4)
> > May I abuse this bug for now one, or should I crease something new?
> > 
> > 1. Open attachment 157498 [details]
> > 2. CTRL+A
> > 3. CTRL+C
> > 4. CTRL+N
> > 5. CTRL+V -> 5x
> > 6. CTRL+Z -> 5x
> > 7. CTRL+Y -> 2x -> crash -> should be 3x instead of 2 (but try 5x)
Comment 6 Xisco Faulí 2020-07-01 13:39:22 UTC
I can still reproduce the steps in the description in

Version: 7.1.0.0.alpha0+
Build ID: 7df1884118a0d995ec57679ef83e586c95063858
CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: x11
Locale: en-US (en_US.UTF-8); UI: en-US
Calc: threaded
Comment 7 Buovjaga 2020-07-01 13:49:30 UTC
(In reply to Xisco Faulí from comment #6)
> I can still reproduce the steps in the description in
> 
> Version: 7.1.0.0.alpha0+
> Build ID: 7df1884118a0d995ec57679ef83e586c95063858
> CPU threads: 4; OS: Linux 4.19; UI render: default; VCL: x11
> Locale: en-US (en_US.UTF-8); UI: en-US
> Calc: threaded

Damn, I can repro on Linux as well. Weird that it went away on Windows.
Comment 8 MM 2020-07-01 15:27:42 UTC
(In reply to Buovjaga from comment #4)

> MM: can you repro with the new steps?

It still crashes with the 'old' steps on mint 19.3 with
Version: 7.1.0.0.alpha0+
Build ID: af9ed183399d68c42a66382ecf32f402403340ff
CPU threads: 4; OS: Linux 5.3; UI render: default; VCL: gtk3
Locale: en-US (en_US.UTF-8); UI: en-US
TinderBox: Linux-rpm_deb-x86_64@86-TDF, Branch:master, Time: 2020-07-01_03:17:23
Calc: threaded
Comment 9 Buovjaga 2020-07-01 16:30:22 UTC
Already in oldest of Linux 6.3 repo
Comment 10 Aron Budea 2020-07-05 01:19:18 UTC
Reproduced with steps from comment 3 in 5.1.0.3, no crash in 5.0.0.5 / Ubuntu.
Already crashes in oldest of bibisect-linux-64-5.2.

https://crashreport.libreoffice.org/stats/crash_details/62a0e9c7-2318-4d96-925a-8c5be82675e5